Summary: Library providing the GNOME XSLT engine
Name: libxslt
Version: 1.1.28
Release: 1
License: MIT
Group: Development/Libraries
Source0: ftp://xmlsoft.org/XSLT/%{name}-%{version}.tar.gz
URL: http://xmlsoft.org/XSLT/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxml2-devel >= 2.6.32-2
BuildRequires: libgcrypt-devel >= 1.4.6-1
Requires: libxml2 >= 2.6.32-2
Requires: libgcrypt >= 1.4.6-1

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine

The library is available as 32-bit and 64-bit.


%package devel
Summary: Libraries, includes, etc. to embed the GNOME XSLT engine
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel >= 2.6.32-2
Requires: libgcrypt-devel >= 1.4.6-1
Requires: pkg-config

%description devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp libexslt/.libs/libexslt.so.0 .
cp libxslt/.libs/libxslt.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static
make %{?_smp_mflags}

gzip --best ChangeLog


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
export AR="ar -X32_64"
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libexslt.a ./libexslt.so.0
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libxslt.a  ./libxslt.so.1

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog.gz NEWS README Copyright TODO FEATURES
%doc doc/*.html doc/html doc/tutorial doc/tutorial2 doc/*.gif
%doc doc/EXSLT
%{_bindir}/xsltproc
%{_libdir}/lib*.a
%{_libdir}/libxslt-plugins
%{_mandir}/man1/xsltproc.1
/usr/bin/xsltproc
/usr/lib/lib*.a


%files devel
%defattr(-,root,system)
%doc AUTHORS ChangeLog.gz NEWS README Copyright TODO FEATURES
%doc doc/libxslt-api.xml
%doc doc/libxslt-refs.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/EXSLT/libexslt-refs.xml
%{_bindir}/xslt-config
%{_libdir}/lib*.la
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*
%{_datadir}/aclocal/libxslt.m4
/usr/bin/xslt-config
/usr/lib/lib*.la
/usr/lib/*.sh


%changelog
* Thu Dec 13 2012 Michael Perzl <michael@perzl.org> - 1.1.28-1
- updated to version 1.1.28

* Tue Oct 16 2012 Michael Perzl <michael@perzl.org> - 1.1.27-1
- updated to version 1.1.27

* Wed Nov 16 2011 Michael Perzl <michael@perzl.org> - 1.1.26-2
- added missing 64-bit shared library libexslt.so.1

* Thu Nov 19 2009 Michael Perzl <michael@perzl.org> - 1.1.26-1
- updated to version 1.1.26

* Fri May 16 2008 Michael Perzl <michael@perzl.org> - 1.1.24-1
- updated to version 1.1.24

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 1.1.22-2
- some minor spec file fixes

* Tue Jan 15 2008 Michael Perzl <michael@perzl.org> - 1.1.22-1
- first version for AIX V5.1 and higher
